Skip to main content
GET
/
v2
/
data
/
webhooks
/
subscriptions
/
{subscriptionId}
/
events
List webhook subscription events
curl --request GET \
  --url https://api.cdp.coinbase.com/platform/v2/data/webhooks/subscriptions/{subscriptionId}/events \
  --header 'Authorization: Bearer <token>'
{
  "events": [
    {
      "eventId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "eventTypeName": "onchain.activity.detected",
      "status": "succeeded",
      "createdAt": "2025-01-15T10:30:00Z",
      "succeededAt": "2025-01-15T10:30:02Z",
      "retryCount": 0,
      "response": {
        "httpCode": 200,
        "elapsedTimeMs": 142,
        "body": "ok"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Path Parameters

subscriptionId
string<uuid>
required

Unique identifier for the webhook subscription.

Query Parameters

eventId
string<uuid>

Filter by a specific event ID.

minCreatedAt
string<date-time>

Filter events created at or after this timestamp (RFC 3339 format).

maxCreatedAt
string<date-time>

Filter events created at or before this timestamp (RFC 3339 format).

eventTypeNames
string

Filter by event type names (comma-separated).

Response

Webhook events retrieved successfully.

Response containing a list of webhook event delivery attempts.

events
object[]
required

The list of webhook event delivery attempts.